Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

List contacts

GET/contacts
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Query parameters
limitinteger
min 1 · max 100 · default: 20
cursorstring
statusContactStatus
Allowed:activeinactivelead
searchstring

Search by name or email

Responses
200

Paginated contacts

dataContact[]required
Show properties
Array of Contact
idstringrequired
first_namestringrequired
last_namestringrequired
full_namestringrequired
emailstring<email>required
phonestring
companystring
titlestring
statusContactStatusrequired
Allowed:activeinactivelead
notesstring
tagsstring[]
last_contacted_atstring<date-time>
created_atstring<date-time>required
updated_atstring<date-time>required
has_morebooleanrequired
next_cursorstring
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.seal.nyc/api/v1/contacts" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": [
    {
      "id": "string",
      "first_name": "string",
      "last_name": "string",
      "full_name": "string",
      "email": "user@example.com",
      "phone": "string",
      "company": "string",
      "title": "string",
      "status": "active",
      "notes": "string",
      "tags": [
        "string"
      ],
      "last_contacted_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}